QGIS Application - Bug report #2457
qgis (1.4, trunk) crashes if reprojecting with a raster active in the legend
2010-02-21 11:31 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12517
Description

The following has been tested with data from the QGIS sample dataset (plus the small shapefile attached to this ticket) but also with data
from other geographic regions/projections.

When the problem occurs qgis freezes, starts to eat memory/cpu and eventually crashes (in the 1.4 version the crash is immediate). It has
been proved on ubuntu 9.04, 9.10, Debian testing and Windows XP.

Steps:

*) add the "alaska.shp" shapefile from the qgis sample dataset.

) set the project crs as the one of the above vector, EPSG:2964 and *enable on the fly reprojection

*) add the "landcover.img" raster from the qgis sample dataset (it is defined in the the EPSG:2964 crs)

*) add to the project the attached shapefile ("alaska_clipped.shp"): it was obtained by clipping the Alaska region from the "world borders
shapefile, that is defined in the WGS84 crs (EPSG:4326)

everything align OK, because the last vector is correctly reprojected in the EPSG:2964 coordinate system

*) uncheck from the legend the raster layer

*) go in the project properties and change the project crs from EPSG:2964 to EPSG:4326

*) at this stage the two vectors still align perfectly as the first one is reprojected in the EPSG:4326 coordinate system

*) now check the raster layer in the legend (| KNOW THAT WON'T BE REPROJECTED IN ANY CASE): qgis freezes, starts to eat
memory/cpu and eventually crashes

The counter test DOES NOT CAUSE qgis to crash. Steps:

*) Use the gdal_warp utility to reproject the "landcover.img" raster from EPSG:2964 to EPSG:4326

*) Add the obtained raster to a new project defined in the EPSG:4326 coordinate system and enable on the fly reprojection

*) add the attached shapefile ("alaska_clipped.shp")

*) add the shapefile "alaska.shp" from the qgis sample dataset

everything align OK, because the last vector is correctly reprojected in the EPSG:4326 coordinate system
*) uncheck from the legend the raster layer

*) go in the project properties and change the project crs from EPSG:4326 to EPSG:2964

*) at this stage the two vectors still align perfectly as the first one is reprojected in the EPSG:2964 coordinate system

*) now check the raster layer in the legend (I KNOW THAT WON'T BE REPROJECTED IN ANY CASE): qgis does not freeze nor crash,
it simple does not show the raster as expected.

Associated revisions

Revision 2¢f9351c - 2010-06-19 04:48 PM - Jiirgen Fischer

fix #2457

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13750 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 8872fcb8 - 2010-06-19 04:48 PM - Jiirgen Fischer

fix #2457

git-svn-id: http://svn.osgeo.org/qgis/trunk@13750 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-25 04:33 PM - Giovanni Manghi

still true as per commit:97¢f881d (SVN r13576)

#2 - 2010-06-03 01:36 AM - Giovanni Manghi

see also #2770

#3 - 2010-06-03 07:53 AM - ScottParker -

Using files of #2770 | have found a small difference that may be related to the problem.

The original tif from CASIL causes the problem but when | recreate it in Global Mapper it does not cause the problem. The difference in the files seems to
be in the TIFFTAGs. Also, the resolution of the origin is less. See attached screen shots. I'll try this with landcover.img from the sample dataset.

Scott

#4 - 2010-06-03 09:13 AM - ScottParker -

| was unable to duplicate the crash using the steps and data of #2457. I'm running 1.0.2-Kore. The procedure and dataset of #2770 does cause a crash
which may be the same.

Scott
http://svn.osgeo.org/qgis/trunk/qgis@13750
http://svn.osgeo.org/qgis/trunk@13750

#5 - 2010-06-03 09:20 AM - Giovanni Manghi

Replying to [comment:4 [[ScottParker]]]:

| was unable to duplicate the crash using the steps and data of #2457.

I am with ggis trunk under both linux and windows.

#6 - 2010-06-19 07:48 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:8872fcb8 (SVN r13751).

Files

alaska_clipped_shp.zip 128 KB 2010-02-21 Giovanni Manghi

problem.JPG 99.5 KB 2010-06-03 ScottParker -

no_problem.JPG 86.4 KB 2010-06-03 ScottParker -
